> For the complete documentation index, see [llms.txt](https://docs.echo3d.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.echo3d.com/api/share-content.md).

# Share Content

There are two main options when sharing content across collections. You can create a complete copy or create a shortcut that references the original. Creating a complete copy will create copies of all the files related to the asset to the other collection, whereas, creating a shortcut will create  a reference to the original asset in the source collection.

## Create a copy

<mark style="color:blue;">`GET`</mark> `https://api.echo3D.com/shareContent?fromKey=<SOURCE_API_KEY>&toKey=<DEST_API_KEY>&secKey=<SEC_KEY>&entry=<ASSET_ID>&email=<EMAIL>&keepAssetId=<true|false>&overwrite=<true|false>`

Allows you to create a complete copy of an asset from the source collection (fromKey) to the destination collection (toKey).

#### Query Parameters

<table><thead><tr><th width="177">Name</th><th width="137">Type</th><th>Description</th></tr></thead><tbody><tr><td>fromKey<mark style="color:red;">*</mark></td><td>string</td><td>Api Key of the source collection</td></tr><tr><td>toKey<mark style="color:red;">*</mark></td><td>string</td><td>Api Key of the destination collection</td></tr><tr><td>secKey</td><td>string</td><td>Secret key of the source collection. Only if enabled through the <a href="/pages/-M41x3tGykQ1P8zc6MV_#secret-key">Security page</a>.</td></tr><tr><td>entries<mark style="color:red;">*</mark></td><td>string</td><td>A comma separated list of the asset IDs being copied</td></tr><tr><td>email<mark style="color:red;">*</mark></td><td>string</td><td>Your email address</td></tr><tr><td>userKey<mark style="color:red;">*</mark></td><td>string</td><td>Your authentication key</td></tr><tr><td>keepAssetId</td><td>boolean</td><td>Set <code>true</code> to retain the same asset id after it is copied to the new </td></tr><tr><td>overwrite</td><td>boolean</td><td>Set <code>true</code> to overwrite the asset in the case where the destination collection already contains an asset with the same asset id</td></tr></tbody></table>

## Create a shortcut

<mark style="color:blue;">`GET`</mark> `https://api.echo3D.com/shareContent?fromKey=<SOURCE_API_KEY>&toKey=<DEST_API_KEY>&secKey=<SEC_KEY>&entry=<ASSET_ID>&email=<EMAIL>&createShortcut=true`

Allows you to create a reference of an asset from the source collection (fromKey) to the destination collection (toKey).

#### Query Parameters

<table><thead><tr><th width="187">Name</th><th width="176">Type</th><th>Description</th></tr></thead><tbody><tr><td>fromKey<mark style="color:red;">*</mark></td><td>string</td><td>Api Key of the source collection</td></tr><tr><td>toKey<mark style="color:red;">*</mark></td><td>string</td><td>Api Key of the destination collection</td></tr><tr><td>secKey</td><td>string</td><td>Secret key of the source collection. Only if enabled through the <a href="/pages/-M41x3tGykQ1P8zc6MV_#secret-key">Security page</a>.</td></tr><tr><td>entries<mark style="color:red;">*</mark></td><td>string</td><td>A comma separated list of asset IDs</td></tr><tr><td>email<mark style="color:red;">*</mark></td><td>string</td><td>User's email address</td></tr><tr><td>createShortcut</td><td>boolean</td><td>Set <code>true</code> to create a shortcut </td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.echo3d.com/api/share-content.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
